News:

Want to get involved in developing SMF, then why not lend a hand on our github!

Main Menu

SMF 1.1.11 released

Started by SleePy, December 01, 2009, 05:59:19 PM

Previous topic - Next topic

general_issimo

Quick and easy. Thanks a lot!

glaswerkz

my current version is SMF 1.1.2 and i wish to upgrade to 1.1.11. I try many attempt from package upgrade but failed. anyone can help.

john from singapore :) :)

john@glaswerkz.com

Arantor

glaswerkz, please open a new thread in Install and Upgrade Help with more information, like exactly how you tried to upgrade via the package manager.
Perhaps it would have been better if I'd simply never bothered. Y'all clearly would be less unhappy that way.

Filipina

Forum with tons of MODS updated without any problems at all. How I will ever get my monster to SMF 2.0 I have no idea but that is for another day. Thanks for the updated security :)

puhastus

#164
One question, if i use some modifications like awards or stuff like that and i have modified deafult theme... can i update or it may mess up my forum?

How safe is update?

IchBin™

If you try the install it always does a test first to show if the install will have an error. If not, you just proceed and it will upgrade fairly quickly. Of course, before making any changes you should always backup stuff. For the most part, it's pretty safe to update with mods.
IchBin™        TinyPortal

puhastus

Quote from: IchBin™ on December 15, 2009, 02:54:00 PM
If you try the install it always does a test first to show if the install will have an error. If not, you just proceed and it will upgrade fairly quickly. Of course, before making any changes you should always backup stuff. For the most part, it's pretty safe to update with mods.

Thank you :)

raghhav

Quote from: dannyjp on December 02, 2009, 04:10:12 AM
Thanks! Had a little problem with subs.php (Test Failed) so I had to manually do that one (had something to do with Image Resizer mod). Otherwise, excellent patch!

hi, i would like to know, how and what exactly you changed in subs,php, please help

Arantor

raghhav: http://custom.simplemachines.org/upgrades/ - you can use that to see every single change in every one of the files.
Perhaps it would have been better if I'd simply never bothered. Y'all clearly would be less unhappy that way.

deathshadow

You know, it would be REALLY nice if on the next update, you nueter down upgrade_1-1.sql or at least improve it so it doesn't run ALTER TABLE that are redundant/existing formats. I've got 700K posts in messages, and when it gets to:
ALTER TABLE {$db_prefix}messages
CHANGE COLUMN ID_MSG_MODIFIED ID_MSG_MODIFIED int(10) unsigned NOT NULL default '0';

and

ALTER TABLE {$db_prefix}messages
ADD INDEX ipIndex (posterIP(15), ID_TOPIC);

IT sends my server off into never-never land, the operations taking so long they time out, even though the damned tables are already IN that structure and HAVE that index! The past six updates I've had to go in and manually comment those out of that .sql file to get the blasted upgrades to go in. (and I do check that the values in said list are applied)

Likewise, when you put together the 'small update' or even the 'large upgrade', it might just help NOT to include the files that haven't changed since 2005? Like say... THE ENTIRE MALFING IMAGE DIRECTORIES in the themes?!? Just saying for those of us with large boards for whom the automatic packages don't work - or have made modifications to things like subs.php to make values like $break not be, as the comment in the code says: "SADLY and INCREDIBLY browser dependent" (I did mention that can be fixed in another thread like a year ago, right?) meaning we have to manually update... or even just those of us who refuse to allow settings.php to be 755 or 777 (oh yeah, that's a brilliant ***** idea, how did that avatar exploit work again? Using $_POST to build an array without checking entries and modifying settings.php?) - we might appreciate those types of changes to the packages.

Seriously, what does the 1.1.10 to 1.1.11 'small update' need to be including ALL of the themes directory when the most recently updated file is from july, only three files have been updated within the past year, and the majority of the files haven't seen changes since 2007!

Though I think I said this for 1.1.10 as well.
"There are two ways of constructing a software design: One way is to make it so simple that there are obviously no deficiencies and the other way is to make it so complicated that there are no obvious deficiencies." – C.A.R. Hoare, The 1980 ACM Turing Award Lecture
http://www.cutcodedown.com

Antechinus

Wanna move this to bug reports? :D

Btw, I agree about the "small update" packages. I usually strip them down before applying them. Much faster if you have to do an ftp job.

Inquisitor

1-click-update worked perfectly for me, thanks!

OlgaH

Updated with no problem. Thank you.

Mustafa011

#173
Hi, I installed the new updates but when I try to delete some users or post i get the following error message;

Database Error
Unknown column 'a.file_hash' in 'field list'
File: /home/af/public_html/\alk/Sources/Display.php
Line: 711

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 1.1.11, while your database is at version 1.1.5. The above error might possibly go away if you execute the latest version of upgrade.php. 

Can someone help me please?

Kenny01

You need to run the "upgrade script" to complete your upgrade.

Mustafa011

I  did run the upgrade script, but there are few language files which are not upgraded. How do I finish this issue?

Akyhne

Please create a new topic in the 1.1.x support board, to get answers to your questions.
http://www.simplemachines.org/community/index.php?board=9.0

gisfreak

Quote from: Filipina on December 15, 2009, 10:58:05 AM
Forum with tons of MODS updated without any problems at all. How I will ever get my monster to SMF 2.0 I have no idea but that is for another day. Thanks for the updated security :)

hahaha, same with me. just wait till gold, then will think bout it
Me fail English? That's unpossible.

masini


Evolutionist

#179
Good Job ....  Gongrats  :)

Advertisement: